import 'src/graph.dart';

void main(List<String> arguments) {
  Map<int, int> x = {1: 10, 2: 11};
  var p = Dot.fromMap("Т1", x);
  p.printD();
  x = <int, int>{};

  x[1] = 11;
  var p2 = Dot.fromMap("Т2", x);
  p2.printD();
  x = <int, int>{};

  var x1 = Graphs.fromList("Граф 1", [p, p2], true, false);
  x1.addDot(p);
  x1.addDotFromToLists("T3", [1, 2], [10, 20]);
  x1.addIsolated("T4");
  x1.checkDots(true);
  x1.printG();
  print(x1.addPath(4, 1, 10));
  print(x1.addPath(4, 2, 10));
  x1.printG();
  x1.toFile("outTest.txt");
}
